SDL_WaitForGPUFences(3)

NAME
SDL_WaitForGPUFences - Blocks the thread until the given fences are signaled.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_WaitForGPUFences(
    SDL_GPUDevice *device,
    bool wait_all,
    SDL_GPUFence *const *fences,
    Uint32 num_fences);

FUNCTION PARAMETERS

device
    a GPU context.

wait_all
    if 0, wait for any fence to be signaled, if 1, wait for all fences to be signaled.

fences
    an array of fences to wait on.

num_fences
    the number of fences in the fences array.

RETURN VALUE
Returns true on success, false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SubmitGPUCommandBufferAndAcquireFence(3), SDL_WaitForGPUIdle(3)